unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids;

type
  TForm1 = class(TForm)
    ColLab1: TEdit;
    RowLab1: TEdit;
    Label17: TLabel;
    Label16: TLabel;
    StringGridMP: TStringGrid;
    ReNewBtn: TButton;
    procedure ReNewBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ReNewBtnClick(Sender: TObject);
var
  Row,Col,ColCnt,RowCnt,i,j:integer;
  HalfColCnt,HalfRowCnt:double;
  AA:double;
begin
  ColCnt := StrToInt(ColLab1.Text);
  RowCnt := StrToInt(RowLab1.Text);

  StringGridMP.ColCount := ColCnt + 1;
  StringGridMP.RowCount := RowCnt + 1;
  for i:=1 to StringGridMP.ColCount-1 do begin
    StringGridMP.Cells[i,0] := IntToStr(i);
    for j:=1 to StringGridMP.RowCount-1 do begin
      StringGridMP.Cells[0,j] := IntToStr(j);
      StringGridMP.Cells[i,j] := '';
    end;
  end;


  HalfColCnt := ColCnt/2.0;
  HalfRowCnt := RowCnt/2.0;
  for Row:=1 to RowCnt do begin
    for Col:=1 to ColCnt do begin
      AA:=(((Col-HalfColCnt)*(Col-HalfColCnt))/((HalfColCnt+1)*(HalfColCnt+1)))+
          (((Row-HalfRowCnt)*(Row-HalfRowCnt))/((HalfRowCnt+1)*(HalfRowCnt+1)));
      if (AA < 1.0 ) then StringGridMP.Cells[Col,Row]:='1';
    end;
  end;
 end;
end.
